---
lang: en
title: 'API docs: socketio.socketioapplication._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketioapplication._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoApplication](./socketio.socketioapplication.md) &gt; [(constructor)](./socketio.socketioapplication._constructor_.md)

## SocketIoApplication.(constructor)

Constructs a new instance of the `SocketIoApplication` class

<b>Signature:</b>

```typescript
constructor(config?: ApplicationConfig);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  config | [ApplicationConfig](./core.applicationconfig.md) | <i>(Optional)</i> |


